# Auto Checkout Function
## This Function is used to **autocheckout** the employee in EOD if the employee forgets to checkout based on Employee checkin time


[Auto Checkout Function](auto_checkout.dg)
>Condtions
1. If the Employee Checkin before 1 PM then mark the employee as present.

2. If the Employee Checkin after 1PM and before before 3:30 PM then mark the employee as half day.

3. If the Employee Checkin after 3:30PM then mark the employee as absent.


__code__

```
emp = zoho.people.getRecordByID("employee",empid);
info "emp =>" + emp;
info emp.get("EmployeeID");
v = emp.get("EmployeeID");
//info v ;
//info emp.get("EmailID");
mp1 = Map();
mp = Map();
mp.put("searchField","EmployeeID");
mp.put("searchOperator","Contains");
mp.put("searchText",v);
//info mp ;
att = zoho.people.getRecords("P_AttendanceForm",0,1,mp);
info att;
for each  a in att
{
	// 	from_time = a.get("FromTime");
	from_time = "05-02-2024 11:31:52";
	info "From time => " + from_time;
	to_time = a.get("ToTime");
	info "To Time => " + to_time;
	if(a.get("FromTime").size() > 0 && a.get("ToTime").size() == null)
	{
		info a.get("EmployeeID");
		formatted_from_time = from_time.toString("dd-MM-yyyy HH:mm:ss");
		if(from_time.getHour() < 13)
		{
			info "Less then 1PM";
			// 			var = a.get("FromTime").addHour(8).addMinutes(30);
			var = formatted_from_time.addHour(8).addMinutes(30);
			info var + "- TO TIME";
			mp1.put("dateFormat","dd-MM-yyyy HH:mm:ss");
			var = var.toString("dd-MM-yyyy HH:mm:ss");
			info var + " dateformat";
			mp1.put("checkOut",var);
			mp1.put("emailId",emp.get("EmailID"));
			info mp1;
			updaterecord = invokeurl
			[
				url :"https://people.zoho.in/people/api/attendance"
				type :POST
				parameters:mp1
				connection:"zpeople"
			];
			info updaterecord + "UPDATED RECORD";
		}
		else if(from_time.getHour() >= 13 || from_time.getHour() == 15 && from_time.getMinutes() <= 30)
		{
			info " greater than to 1PM and less than 3:30PM";
			// 			var = a.get("FromTime").addHour(8).addMinutes(30);
			var = formatted_from_time.addHour(4).addMinutes(30);
			info var + "- TO TIME";
			mp1.put("dateFormat","dd-MM-yyyy HH:mm:ss");
			var = var.toString("dd-MM-yyyy HH:mm:ss");
			info var + " dateformat";
			mp1.put("checkOut",var);
			mp1.put("emailId",emp.get("EmailID"));
			info mp1;
			updaterecord = invokeurl
			[
				url :"https://people.zoho.in/people/api/attendance"
				type :POST
				parameters:mp1
				connection:"zpeople"
			];
			info updaterecord + "UPDATED RECORD";
		}
		else if(from_time.getHour() >= 15 && from_time.getMinutes() >= 30)
		{
			info " greater than to 1PM and less than 3:30PM";
			// 			var = a.get("FromTime").addHour(8).addMinutes(30);
			var = formatted_from_time.addMinutes(1);
			info var + "- TO TIME";
			mp1.put("dateFormat","dd-MM-yyyy HH:mm:ss");
			var = var.toString("dd-MM-yyyy HH:mm:ss");
			info var + " dateformat";
			mp1.put("checkOut",var);
			mp1.put("emailId",emp.get("EmailID"));
			info mp1;
			updaterecord = invokeurl
			[
				url :"https://people.zoho.in/people/api/attendance"
				type :POST
				parameters:mp1
				connection:"zpeople"
			];
			info updaterecord + "UPDATED RECORD";
		}
		else
		{
			info "not enter in any condition";
		}
	}
}

```
